Subject: Re: bug#18938: Emacs 24.3: newline-and-indent has two undo boundaries

From: Samuel Wales <[email-masked]>
Date: Thu, 31 May 2018 17:20:48 -0700

yes, it seems to be fixed in 24.4.1 on debian jessie.  i do not have
access to other versions.

thank you.

On 5/31/18, Noam Postavsky <[email-masked]> wrote:
> tags 18938 fixed
> close 18938 24.4
> quit
>
> Samuel Wales <[email-masked]> writes:
>
>> Reporting as suggested by Stefan.
>>
>> In order to bunch up undos by 1 instead of the hardcoded 20, I do this:
>>
>>   (add-hook 'post-self-insert-hook #'undo-boundary 'append)
>>
>> This or advice used to work, then around Emacs 24.1 it stopped
>> working.  Stefan patched it in 24.3.  It now works in most cases.  The
>> history is in this Debian bug:
>>
>>   Re: [O] bug#11774: bug#11774: org-mode causes undo boundaries to be
>> lost
>>
>> I use undo-tree 0.6.6.  The bug also occurs with it turned off.
>>
>> When I press RET when it is bound to newline-and-indent, the newline
>> and the indentation are undone separately.  I expected the RET to be
>> undone.
>
> Seems to be fixed in 24.4
>

-- 
The Kafka Pandemic: <http://thekafkapandemic.blogspot.com>

The disease DOES progress. MANY people have died from it. And ANYBODY
can get it at any time.

"You’ve really gotta quit this and get moving, because this is murder
by neglect." ---
<http://www.meaction.net/2017/02/03/pwme-people-with-me-are-being-murdered-by-neglect>.